# OpenSC API Reference

sc_make_cache_dir
3
opensc

# sc_make_cache_dir

Create the OpenSC cache directory

## Synopsis

    #include <opensc.h>

    int sc_make_cache_dir(struct sc_context *ctx);

## Description

This function creates the OpenSC cache directory for the current user, and any directories leading up to it.

## Return value

Returns 0 if successful, or a negative value in case of error.